Subject: [pim] PIM MIB foils (text)

From: "David McWalter" <[email-masked]>
Date: Mon, 14 Nov 2005 15:53:02 -0000

Folks,

Below are the foils I presented to the PIM WG last week.  The .ppt version is available on the pim-mib list.

Any further comments on the current draft would be welcome.
http://www.ietf.org/internet-drafts/draft-ietf-pim-mib-v2-04.txt

I'll send round a list of all your comments later this week, so we can discuss anything contentious.  Then I'll revise the MIB.

Perhaps -05 will be the last revision.  Certainly we're shooting for last call by Dallas (March 2006).

David McW.

PIM MIB : draft-ietf-pim-mib-v2-04
----------------------------------

0.  PIM MIB news.

    Four main changes since IETF 63

    1.  Added Anycast RP configuration (pimAnycastRPSetTable).
    2.  Added 4 traps
    3.  Removed SSM range configuration (pimSsmRangeTable).
    4.  Removed BSR configuration (4 tables).

1.  Anycast RP configuration

    New table - pimAnycastRPSetTable,

    Requires identical configuration on all routers in the Anycast RP set.

    On each router in the set, this table has a list of all RPs in the
    Anycast RP, including one address for the local router.

    Are we happy with this format?  Comments?

2.  Traps

    PIM-MIB has one existing trap (pimNeighborLoss)

    Four new traps are proposed
    -  pimUnexpectedRegister, pimUnexpectedJoinPrune
    -  pimRPMappingChange, pimDrElection

    The first two report misconfigurations (usually group-to-RP mapping
    mismatches).  These need to be carefully rate-limited.

    The other two are generated during normal operation.

    Are we happy to add these traps?  Anyone want any more?

3.  SSM range configuration

    PIM WG decided that pimSsmRangeTable should move out of PIM MIB.

    RFC 2932 (IPMROUTE-STD-MIB) looks like a good place for it.  This MIB
    needs updating for IPv6, so we're doing that also.

    Update RFC 2932 IPMROUTE-STD-MIB -> IPMCAST-MIB in I-D
    draft-mcwalter-ip-mcast-mib-00.

    Comments encouraged - to the MBONED list, please.

4.  Removed BSR configuration

    PIM WG decided BSR MIBs should not hold up progress on PIM MIB.

    Four BSR MIB tables removed from PIM MIB, to a separate BSR MIB.

    If anyone is interested in this work, come find me.

5.  Conclusion

    Any other MIB business?

    Looks like we need another revision before WG last call?

_______________________________________________
pim mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pim